Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1197715 - libsbml-5.11.0-11.fc23 FTBFS: test_sbml_package_fbc': free(): invalid pointer
Summary: libsbml-5.11.0-11.fc23 FTBFS: test_sbml_package_fbc': free(): invalid pointer
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libsbml
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL: http://koji.fedoraproject.org/koji/ta...
Whiteboard:
Depends On:
Blocks: ARM64, F-ExcludeArch-aarch64
TreeView+ depends on / blocked
 
Reported: 2015-03-02 13:27 UTC by Petr Pisar
Modified: 2015-11-10 00:51 UTC (History)
3 users (show)

Fixed In Version: libsbml-5.11.6-6.fc23 libsbml-5.11.6-5.fc22 libsbml-5.11.6-5.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-09 21:53:13 UTC
Type: Bug


Attachments (Terms of Use)

Description Petr Pisar 2015-03-02 13:27:07 UTC
libsbml-5.11.0-11.fc23 fails to build in F23 because tested code crashed:

Executing(%check): /bin/sh -e /var/tmp/rpm-tmp.vjfdDy
+ umask 022
~/build/BUILD/libSBML-5.11.0-Source/build2 ~/build/BUILD/libSBML-5.11.0-Source
+ cd /builddir/build/BUILD
+ cd libSBML-5.11.0-Source
+ pushd build2
+ ctest -V -j4
UpdateCTestConfiguration  from :/builddir/build/BUILD/libSBML-5.11.0-Source/build2/DartConfiguration.tcl
Parse Config file:/builddir/build/BUILD/libSBML-5.11.0-Source/build2/DartConfiguration.tcl
UpdateCTestConfiguration  from :/builddir/build/BUILD/libSBML-5.11.0-Source/build2/DartConfiguration.tcl
Parse Config file:/builddir/build/BUILD/libSBML-5.11.0-Source/build2/DartConfiguration.tcl
Test project /builddir/build/BUILD/libSBML-5.11.0-Source/build2
Constructing a list of tests
Done constructing a list of tests
Checking test dependency graph...
Checking test dependency graph end
test 1
      Start  1: test_sbml_package_fbc_run
1: Test command: /builddir/build/BUILD/libSBML-5.11.0-Source/build2/src/sbml/packages/fbc/extension/test/test_sbml_package_fbc
1: Test timeout computed to be: 1500
test 2
      Start  2: test_fbc_validator_run
2: Test command: /builddir/build/BUILD/libSBML-5.11.0-Source/build2/src/sbml/packages/fbc/validator/test/test_fbc_validator "/builddir/build/BUILD/libSBML-5.11.0-Source/src/sbml/packages/fbc/validator/test"
2: Test timeout computed to be: 1500
test 3
      Start  3: test_sbml_package_layout_run
3: Test command: /builddir/build/BUILD/libSBML-5.11.0-Source/build2/src/sbml/packages/layout/sbml/test/test_sbml_package_layout
3: Test timeout computed to be: 1500
test 4
      Start  4: test_layout_validator_run
4: Test command: /builddir/build/BUILD/libSBML-5.11.0-Source/build2/src/sbml/packages/layout/validator/test/test_layout_validator "/builddir/build/BUILD/libSBML-5.11.0-Source/src/sbml/packages/layout/validator/test"
4: Test timeout computed to be: 1500
1: Running suite(s): FbcExtension
1: *** Error in `/builddir/build/BUILD/libSBML-5.11.0-Source/build2/src/sbml/packages/fbc/extension/test/test_sbml_package_fbc': free(): invalid pointer: 0x00007fff27f469b8 ***
1: ======= Backtrace: =========
1: /lib64/libc.so.6(+0x7a0bd)[0x7fa1d2b210bd]
1: /lib64/libc.so.6(+0x819c4)[0x7fa1d2b289c4]
1: /lib64/libc.so.6(cfree+0x4c)[0x7fa1d2b2d51c]
1: /builddir/build/BUILD/libSBML-5.11.0-Source/build2/src/sbml/packages/fbc/extension/test/test_sbml_package_fbc(_ZN8XMLTokenD1Ev+0x2f)[0x7fa1d47e775f]
1: /builddir/build/BUILD/libSBML-5.11.0-Source/build2/src/sbml/packages/fbc/extension/test/test_sbml_package_fbc(_ZN7XMLNodeC2ER14XMLInputStream+0x12d)[0x7fa1d47dcfad]
1: /builddir/build/BUILD/libSBML-5.11.0-Source/build2/src/sbml/packages/fbc/extension/test/test_sbml_package_fbc(_ZN7XMLNodeC2ER14XMLInputStream+0x11a)[0x7fa1d47dcf9a]
1: /builddir/build/BUILD/libSBML-5.11.0-Source/build2/src/sbml/packages/fbc/extension/test/test_sbml_package_fbc(_ZN7XMLNodeC2ER14XMLInputStream+0x11a)[0x7fa1d47dcf9a]
1: /builddir/build/BUILD/libSBML-5.11.0-Source/build2/src/sbml/packages/fbc/extension/test/test_sbml_package_fbc(_ZN5Model12readOtherXMLER14XMLInputStream+0xe4)[0x7fa1d47012d4]
1: /builddir/build/BUILD/libSBML-5.11.0-Source/build2/src/sbml/packages/fbc/extension/test/test_sbml_package_fbc(_ZN5SBase4readER14XMLInputStream+0x631)[0x7fa1d474ecc1]
1: /builddir/build/BUILD/libSBML-5.11.0-Source/build2/src/sbml/packages/fbc/extension/test/test_sbml_package_fbc(_ZN5SBase4readER14XMLInputStream+0x2c8)[0x7fa1d474e958]
1: /builddir/build/BUILD/libSBML-5.11.0-Source/build2/src/sbml/packages/fbc/extension/test/test_sbml_package_fbc(_ZN10SBMLReader12readInternalEPKcb+0xe3)[0x7fa1d4775343]
1: /builddir/build/BUILD/libSBML-5.11.0-Source/build2/src/sbml/packages/fbc/extension/test/test_sbml_package_fbc(_ZN10SBMLReader18readSBMLFromStringERKNSt7__cxx1112basic_stringIcSt11char_traitsIcESaIcEEE+0xed)[0x7fa1d47762fd]
1: /builddir/build/BUILD/libSBML-5.11.0-Source/build2/src/sbml/packages/fbc/extension/test/test_sbml_package_fbc(readSBMLFromString+0x5c)[0x7fa1d477653c]
1: /builddir/build/BUILD/libSBML-5.11.0-Source/build2/src/sbml/packages/fbc/extension/test/test_sbml_package_fbc(+0x1db1ac)[0x7fa1d46b21ac]
1: /lib64/libcheck.so.0(srunner_run+0x7f5)[0x7fa1d40ad025]
1: /builddir/build/BUILD/libSBML-5.11.0-Source/build2/src/sbml/packages/fbc/extension/test/test_sbml_package_fbc(main+0x65)[0x7fa1d46a79e5]
1: /lib64/libc.so.6(__libc_start_main+0xf0)[0x7fa1d2ac7840]
1: /builddir/build/BUILD/libSBML-5.11.0-Source/build2/src/sbml/packages/fbc/extension/test/test_sbml_package_fbc(_start+0x29)[0x7fa1d46b0f59]
[...]

Comment 1 Antonio T. (sagitter) 2015-03-02 13:34:17 UTC
This issue has already been submitted to the upstream maintainer. Unfortunately he needs to work on check code compiled with GCC-5.0.0 and has not available a Fedora 22 workable at the present moment.

Comment 2 Jan Kurik 2015-07-15 14:27:51 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 3 Marcin Juszkiewicz 2015-07-19 20:13:24 UTC
Same issue on aarch64.

F22 has gcc 5.0.0 and is able to build package from rawhide:

Zapisano: /builddir/build/RPMS/libsbml-5.11.5-0.11.20150528svn22272.fc22.aarch64.rpm
Zapisano: /builddir/build/RPMS/libsbml-devel-5.11.5-0.11.20150528svn22272.fc22.aarch64.rpm
Zapisano: /builddir/build/RPMS/python-libsbml-5.11.5-0.11.20150528svn22272.fc22.aarch64.rpm
Zapisano: /builddir/build/RPMS/python3-libsbml-5.11.5-0.11.20150528svn22272.fc22.aarch64.rpm
Zapisano: /builddir/build/RPMS/perl-LibSBML-5.11.5-0.11.20150528svn22272.fc22.aarch64.rpm
Zapisano: /builddir/build/RPMS/ruby-SBML-5.11.5-0.11.20150528svn22272.fc22.aarch64.rpm
Zapisano: /builddir/build/RPMS/octave-SBML-5.11.5-0.11.20150528svn22272.fc22.aarch64.rpm
Zapisano: /builddir/build/RPMS/R-libSBML-5.11.5-0.11.20150528svn22272.fc22.aarch64.rpm

Comment 4 Marcin Juszkiewicz 2015-07-22 08:32:06 UTC
Did one more check. 

First built gcc 5.2.1-1.fc23 with gcc4 compatibility and then used it to build libsbml.

Build went fine.

Comment 5 Marcin Juszkiewicz 2015-07-27 13:46:51 UTC
libsbml-5.11.6-2.fc24 builds on aarch64 due to disabled tests.

When tests are enabled it goes like this:

gmake[4]: Entering directory '/builddir/build/BUILD/libsbml-5.11.6/build2'
Running tests...
/usr/bin/ctest --force-new-ctest-process 
Test project /builddir/build/BUILD/libsbml-5.11.6/build2
      Start  1: test_sbml_package_render_run
 1/13 Test  #1: test_sbml_package_render_run .....***Exception: Other  1.80 sec
      Start  2: test_sbml_package_layout_run
 2/13 Test  #2: test_sbml_package_layout_run .....***Exception: Other  0.10 sec
      Start  3: test_layout_validator_run
 3/13 Test  #3: test_layout_validator_run ........***Exception: Other  0.64 sec
      Start  4: test_sbml_annotation_run
 4/13 Test  #4: test_sbml_annotation_run .........***Exception: Other  0.06 sec
      Start  5: test_sbml_conversion_run
 5/13 Test  #5: test_sbml_conversion_run .........***Exception: Other  0.82 sec
      Start  6: test_sbml_extension_run
 6/13 Test  #6: test_sbml_extension_run ..........***Exception: Other  0.09 sec
      Start  7: test_sbml_math_run
 7/13 Test  #7: test_sbml_math_run ...............***Exception: Other  0.74 sec
      Start  8: test_sbml_sbml_run
 8/13 Test  #8: test_sbml_sbml_run ...............***Exception: Other  0.17 sec
      Start  9: test_sbml_units_run
 9/13 Test  #9: test_sbml_units_run ..............   Passed    2.21 sec
      Start 10: test_sbml_util_run
10/13 Test #10: test_sbml_util_run ...............   Passed    0.07 sec
      Start 11: test_sbml_validator_run
11/13 Test #11: test_sbml_validator_run ..........***Exception: Other  0.42 sec
      Start 12: test_sbml_xml_run
12/13 Test #12: test_sbml_xml_run ................***Exception: Other  0.06 sec
      Start 13: test_python_binding
13/13 Test #13: test_python_binding ..............***Exception: Other  3.20 sec

15% tests passed, 11 tests failed out of 13

Total Test time (real) =  10.41 sec

The following tests FAILED:
          1 - test_sbml_package_render_run (OTHER_FAULT)
          2 - test_sbml_package_layout_run (OTHER_FAULT)
          3 - test_layout_validator_run (OTHER_FAULT)
          4 - test_sbml_annotation_run (OTHER_FAULT)
          5 - test_sbml_conversion_run (OTHER_FAULT)
          6 - test_sbml_extension_run (OTHER_FAULT)
          7 - test_sbml_math_run (OTHER_FAULT)
          8 - test_sbml_sbml_run (OTHER_FAULT)
         11 - test_sbml_validator_run (OTHER_FAULT)
         12 - test_sbml_xml_run (OTHER_FAULT)
         13 - test_python_binding (OTHER_FAULT)
Errors while running CTest
Makefile:152: recipe for target 'test' failed
gmake[4]: Leaving directory '/builddir/build/BUILD/libsbml-5.11.6/build2'


just fyi

Comment 6 Antonio T. (sagitter) 2015-07-27 16:05:11 UTC
(In reply to Marcin Juszkiewicz from comment #5)
> libsbml-5.11.6-2.fc24 builds on aarch64 due to disabled tests.
> 
> When tests are enabled it goes like this:
> 
> gmake[4]: Entering directory '/builddir/build/BUILD/libsbml-5.11.6/build2'
> Running tests...
> /usr/bin/ctest --force-new-ctest-process 
> Test project /builddir/build/BUILD/libsbml-5.11.6/build2
>       Start  1: test_sbml_package_render_run
>  1/13 Test  #1: test_sbml_package_render_run .....***Exception: Other  1.80
> sec
>       Start  2: test_sbml_package_layout_run
>  2/13 Test  #2: test_sbml_package_layout_run .....***Exception: Other  0.10
> sec
>       Start  3: test_layout_validator_run
>  3/13 Test  #3: test_layout_validator_run ........***Exception: Other  0.64
> sec
>       Start  4: test_sbml_annotation_run
>  4/13 Test  #4: test_sbml_annotation_run .........***Exception: Other  0.06
> sec
>       Start  5: test_sbml_conversion_run
>  5/13 Test  #5: test_sbml_conversion_run .........***Exception: Other  0.82
> sec
>       Start  6: test_sbml_extension_run
>  6/13 Test  #6: test_sbml_extension_run ..........***Exception: Other  0.09
> sec
>       Start  7: test_sbml_math_run
>  7/13 Test  #7: test_sbml_math_run ...............***Exception: Other  0.74
> sec
>       Start  8: test_sbml_sbml_run
>  8/13 Test  #8: test_sbml_sbml_run ...............***Exception: Other  0.17
> sec
>       Start  9: test_sbml_units_run
>  9/13 Test  #9: test_sbml_units_run ..............   Passed    2.21 sec
>       Start 10: test_sbml_util_run
> 10/13 Test #10: test_sbml_util_run ...............   Passed    0.07 sec
>       Start 11: test_sbml_validator_run
> 11/13 Test #11: test_sbml_validator_run ..........***Exception: Other  0.42
> sec
>       Start 12: test_sbml_xml_run
> 12/13 Test #12: test_sbml_xml_run ................***Exception: Other  0.06
> sec
>       Start 13: test_python_binding
> 13/13 Test #13: test_python_binding ..............***Exception: Other  3.20
> sec
> 
> 15% tests passed, 11 tests failed out of 13
> 
> Total Test time (real) =  10.41 sec
> 
> The following tests FAILED:
>           1 - test_sbml_package_render_run (OTHER_FAULT)
>           2 - test_sbml_package_layout_run (OTHER_FAULT)
>           3 - test_layout_validator_run (OTHER_FAULT)
>           4 - test_sbml_annotation_run (OTHER_FAULT)
>           5 - test_sbml_conversion_run (OTHER_FAULT)
>           6 - test_sbml_extension_run (OTHER_FAULT)
>           7 - test_sbml_math_run (OTHER_FAULT)
>           8 - test_sbml_sbml_run (OTHER_FAULT)
>          11 - test_sbml_validator_run (OTHER_FAULT)
>          12 - test_sbml_xml_run (OTHER_FAULT)
>          13 - test_python_binding (OTHER_FAULT)
> Errors while running CTest
> Makefile:152: recipe for target 'test' failed
> gmake[4]: Leaving directory '/builddir/build/BUILD/libsbml-5.11.6/build2'
> 
> 
> just fyi

Yes, i know; unfortunately aarch64 is one of arches which are not supported by upstream or, at least, it is hard to manage by upstream.

Comment 7 Fedora Update System 2015-10-29 09:59:44 UTC
libsbml-5.11.6-6.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-1263dac701

Comment 8 Fedora Update System 2015-10-29 09:59:55 UTC
libsbml-5.11.6-5.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-cd01a15f6f

Comment 9 Fedora Update System 2015-11-01 06:58:14 UTC
libsbml-5.11.6-6.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update libsbml'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-1263dac701

Comment 10 Fedora Update System 2015-11-02 00:26:32 UTC
libsbml-5.11.6-5.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update libsbml'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-cd01a15f6f

Comment 11 Fedora Update System 2015-11-02 02:54:22 UTC
libsbml-5.11.6-5.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update libsbml'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-f64c540a93

Comment 12 Fedora Update System 2015-11-09 21:53:08 UTC
libsbml-5.11.6-6.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2015-11-10 00:22:59 UTC
libsbml-5.11.6-5.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2015-11-10 00:50:56 UTC
libsbml-5.11.6-5.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.